Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Andy Moreton <[email-masked]>
Date: Sat, 06 Mar 2021 12:15:27 +0000

On Sat 06 Mar 2021, Pip Cet wrote:

> On Sat, Mar 6, 2021 at 1:48 AM Andy Moreton <[email-masked]> wrote:
>> On Fri 05 Mar 2021, Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
>
> [Does anyone know where this via "name" comes from? I believe it is
> Google's joke which somehow makes it through into the gmail
> interface...]
>
>> Is the problem that dlopen resolves to use an unlinked file kept alive
>> by having open handles, rather than a new file with the filename used
>> by the old file before it was unlinked ?
>
> I believe so, and that's what I think we can work around.
>
> IIUC, we don't actually call dlclose() until we GC (and might not do
> so even then, since GC is conservative).

In that case keeping the handles open is the real bug here, and it would
be better to focus on how to ensure that resources are released corectly.

Is there a similar issue in the dynamic modules interface ?

    AndyM